%global _empty_manifest_terminate_build 0
Name:		python-pytest-rerunfailures
Version:	11.1.2
Release:	1
Summary:	pytest plugin to re-run tests to eliminate flaky failures
License:	Mozilla Public License 2.0 (MPL 2.0)
URL:		https://github.com/pytest-dev/pytest-rerunfailures
Source0:	https://files.pythonhosted.org/packages/08/31/fb028a35b1d21086a4bea33a3b4b1f90304e5150d33c8d70a42fd10e4aff/pytest-rerunfailures-11.1.2.tar.gz
BuildArch:	noarch

%description
a pytest plugin that re-runs failed tests up to -n times to eliminate flakey failures

%package -n python3-pytest-rerunfailures
Summary:	pytest plugin to re-run tests to eliminate flaky failures
Provides:	python-pytest-rerunfailures = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-packaging
Requires:	python3-pytest
Requires:	python3-importlib-metadata
%description -n python3-pytest-rerunfailures
a pytest plugin that re-runs failed tests up to -n times to eliminate flakey failures

%package help
Summary:	Development documents and examples for pytest-rerunfailures
Provides:	python3-pytest-rerunfailures-doc
%description help
a pytest plugin that re-runs failed tests up to -n times to eliminate flakey failures

%prep
%autosetup -n pytest-rerunfailures-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pytest-rerunfailures -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Mar 17 2023 wubijie <wubijie@kylinos.cn> - 11.1.2-1
- Update package to version 11.1.2

* Mon Feb 20 2023 wangjunqi <wangjunqi@kylinos.cn> - 11.1.1-1
- Update package to version 11.1.1

* Wed Sep 29 2021 Python_Bot <Python_Bot@openeuler.org> - 10.2-1
- Package Init
